Page MenuHomePhabricator

tux doesn't let the user know about it if the language is a non-translatable language
Closed, ResolvedPublic

Description

See for example: https://translatewiki.net/wiki/Special:Translate?group=out-fuel-desktop&language=hi&filter=&action=translate It shows an empty interface to the user. This isn't a very user-friendly behavior. Instead, it should tell the user about it through an error message. Non-TUX shows "Translation to this language is disabled".

Details

Related Gerrit Patches:

Event Timeline

Glaisher created this task.Aug 25 2016, 5:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2016, 5:45 AM

Change 424607 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Move language validation from Special:Translate to ApiQueryMessageCollection

https://gerrit.wikimedia.org/r/424607

Pginer-WMF triaged this task as High priority.May 15 2018, 7:56 AM
Pginer-WMF moved this task from Backlog to Maintenance backlog on the Language-2018-Apr-June board.

Change 424607 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Move language validation from Special:Translate to ApiQueryMessageCollection

https://gerrit.wikimedia.org/r/424607

@Nikerabbit the url in the ticket redirects to the page with the error message about non-existing message group.

.

So far, I haven't seen the error messages from the patch:

"apierror-translate-language-disabled": "Translation to $1 is disabled.",
"apierror-translate-language-disabled-reason": "Translation to $1 is disabled: $2",
"apierror-translate-language-disabled-source": "The source language of this group is $1. Please select another language to translate into."

It seems that these error messages will appear if I can select a valid lang from the list of available languages but it would be disabled? Checking for Special:Translate?group=ext-wikitextloggedinout&language=tlh&filter=&action=translate (https://translatewiki.net/wiki/Portal:Tlh) for the valid message group displays an empty page without any error messages:

Etonkovidova closed this task as Resolved.Jun 6 2018, 6:23 PM

Thanks, @Nikerabbit.
https://translatewiki.net/w/i.php?title=Special:Translate&group=ajapaik-app&language=hif&filter=%21translated&action=translate
displays

But strangely, https://translatewiki.net/w/i.php?title=Special:Translate&group=ajapaik-playstore&language=hif&filter=%21translated&action=translate will display
$1 is displayed instead of the language name - is it expected?

I thought that it could be because of the dash in the Group name, but there are many of such group names, e.g. https://translatewiki.net/w/i.php?title=Special:Translate&group=tsint-commonshelper2&language=hif&filter=%21translated&action=translate. I tried few of such names and all seem to be fine.

I am closing the task as Resolve since the reported issues has been fixed.

Petar.petkovic moved this task from QA to Done on the Language-2018-Apr-June board.Jun 6 2018, 6:45 PM